Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000591Core InformPhrases and functional programmingpublic2011-02-28 16:152014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000591: capitalization-sensitive say-phrases don't work with/beside slashed synonyms
DescriptionWhen case-sensitive say phrases have slash-separated synonyms like this:

   To say these of/for (item - an object): say "these".
   To say These of/for (item - an object): say "These".

then the say phrase is no longer case sensitive.

(Just FYI, the docs at 5.13 make no mention of this, though the slash operator may not have been introduced yet at that point.)
Minimal Source Text To Reproduce
"test cap say" 

To say that (item - an object): say "that".
To say That (item - an object): say "That".

To say these of/for (item - an object): say "these".
To say These of/for (item - an object): say "These".

To say those of (item - an object): say "those".
To say Those of (item - an object): say "Those".

Understand "lower" as a mistake ("[that the player] [these for the player] [those of player].").


Understand "upper" as a mistake ("[That the player] [These for the player] [Those of player].").


Test me with "lower/upper".

There is room.
Additional Informationtest cap say
An Interactive Fiction
Release 1 / Serial number 110228 / Inform 7 build 6G60 (I6/v6.32 lib 6/12N) SD

room

>test me
(Testing.)

>[1] lower
that These those.

>[2] upper
That These Those.

>
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002331)
graham (administrator)
2014-01-19 13:33

Fixed.

- Issue History
Date Modified Username Field Change
2011-02-28 16:15 Ron Newcomb New Issue
2011-02-28 17:26 jmcgrew Status new => acknowledged
2011-03-01 13:03 EmacsUser Status acknowledged => confirmed
2014-01-19 13:33 graham Note Added: 0002331
2014-01-19 13:33 graham Status confirmed => resolved
2014-01-19 13:33 graham Resolution open => fixed
2014-01-19 13:33 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker